Subject: Re: glibc 2.1 -> 2.2 gotchas?

From: Daniel Jacobowitz <[email-masked]>
Date: Wed, 29 Aug 2001 14:08:50 -0700

On Sat, Aug 25, 2001 at 09:36:29PM -0700, Tom Rini wrote:
>
> On Sat, Aug 25, 2001 at 03:54:17PM -0700, Daniel Jacobowitz wrote:
> >
> > On Sat, Aug 25, 2001 at 03:42:33PM -0700, Tom Rini wrote:
> > >
> > > On Sun, Aug 26, 2001 at 12:31:37AM +0200, Michel D?nzer wrote:
> > >
> > > > > What I recommend won't hurt and can certainly help flush older shared
> > > > > libraries out of memory.
> > > >
> > > > The point is probably that in the Debian packages, the maintainer scripts take
> > > > care of the necessary steps, so the user doesn't have to.
> > >
> > > This always got me tho...  If a program is already running, how do you
> > > make it stop using the old libraries?  If 'restarting' /sbin/init makes it
> > > reload, I'll take your word at it.  But what about all of the other apps that
> > > happen to be running?  The bash session I happen to be doing this upgrade
> > > from.  Or X (yes, in an ideal world, you goto single user to do this
> > > anyhow.. :))
> >
> > They keep running with the old libc.  No big deal, really :)  The RAM
> > will basically not be reclaimed until after you reboot.
>
> That's sorta what I figured.  So on debian certain services get restarted
> so that new children are sane, yes?

Yes, precisely.  Most of the network daemons that use NSS need to be
restarted, because of how NSS is loaded.

--
Daniel Jacobowitz                           Carnegie Mellon University
MontaVista Software                         Debian GNU/Linux Developer

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/